<?php

declare(strict_types=1);

use App\Controller\AuthorityController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/authority', function () {
        Router::get('/getMenuList', [AuthorityController::class, 'getMenuList']);
        Router::post('/delMenu', [AuthorityController::class, 'delMenu']);
        Router::post('/addMenu', [AuthorityController::class, 'addMenu']);
        Router::post('/updateMenu', [AuthorityController::class, 'updateMenu']);
        Router::get('/getRecursionMenu', [AuthorityController::class, 'getRecursionMenu']);
    },
    ['middleware' => [FooMiddleware::class]]
);
